<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

 	<xsd:annotation>
 		<xsd:documentation>
 			<Description>IRS e-file Income Tax Schema - Other Class of Stock Meeting Regularly Traded Test Schedule</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 15, 2019</ReleaseDate>
 		</xsd:documentation>
 	</xsd:annotation>

 	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>
 	<xsd:include schemaLocation="IRS1120FScheduleS.xsd"/>


 	<!-- ======================================================================================== -->
 	<!-- ============  Other Class of Stock Meeting Regularly Traded Test Schedule  ============ -->
 	<!-- ======================================================================================== -->


 	<xsd:element name="OthClStockMeetRegTradTestSch">
 		<xsd:annotation>
 			<xsd:documentation>Other Class of stock meeting regularly traded test schedule</xsd:documentation>
 		</xsd:annotation>
 		<xsd:complexType>
 			<xsd:complexContent>
 				<xsd:extension base="OthClStockMeetRegTradTestSchType">
 					<xsd:attributeGroup ref="DocumentAttributes">
 						<xsd:annotation>
 							<xsd:documentation>Common return document attributes</xsd:documentation>
 						</xsd:annotation>
 					</xsd:attributeGroup>
 					<xsd:attribute name="documentName" type="xsd:string" fixed="OtherClassOfStockMeetingRegularlyTradedTestSchedule">
 						<xsd:annotation>
 							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
 						</xsd:annotation>
 					</xsd:attribute>
 				</xsd:extension>
 			</xsd:complexContent>
 		</xsd:complexType>
 	</xsd:element>

 	<xsd:complexType name="OthClStockMeetRegTradTestSchType">
 		<xsd:annotation>
 			<xsd:documentation>Content model for other class of stock meeting regularly traded test schedule</xsd:documentation>
 		</xsd:annotation>
 		<xsd:sequence>

 			<!-- Other Class of Stock Info -->
 			<xsd:element name="OtherClassStockInformationGrp" type="OtherClassStockInformationGrpType" minOccurs="0" maxOccurs="unbounded">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Other class of stock info</Description>
 					</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>

 		</xsd:sequence>
 	</xsd:complexType>

 	<!-- Type for Repeating Group - Other Class of Stock Info Type -->
 	<xsd:complexType name="OtherClassStockInformationGrpType">
 		<xsd:sequence>

 			<!-- Description Of Each Class Of Stock -->
 			<xsd:element name="StockClassDesc" type="MediumExplanationType" minOccurs="0">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Description of each class of stock</Description>
 					</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>

			<!-- Days During The Tax Year In Which The Stock Was Closely Held -->
 			<xsd:element name="DaysStockCloselyHeldCnt" minOccurs="0">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Days during the tax year in which the stock was closely held</Description>
 					</xsd:documentation>
 				</xsd:annotation>
 				<xsd:simpleType>
  					<xsd:restriction base="IntegerType">
  						<xsd:totalDigits value="3"/>
  						<xsd:minInclusive value="0"/>
  						<xsd:maxInclusive value="366"/>
  					</xsd:restriction>
				</xsd:simpleType>
 			</xsd:element>

			<!-- Total Percentage Of The Vote And Value Of The Class of Stock That Is Owned by 5% Shareholders -->
 			<xsd:element name="TotalPctAndValueStockOwnedRt" minOccurs="0">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Total percentage of the vote and value of the class of stock that is owned by 5% shareholders</Description>
 					</xsd:documentation>
 				</xsd:annotation>
				<xsd:simpleType>
  					<xsd:restriction base="LargeRatioType">
  						<xsd:minInclusive value="5.00"/>
  						<xsd:maxInclusive value="100.00"/>
  					</xsd:restriction>
				</xsd:simpleType>
 			</xsd:element>

			<!-- Total Number Of Qualified Shareholders -->
 			<xsd:element name="TotalQualifiedShareholdersCnt" minOccurs="0">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Total number of qualified shareholders</Description>
 					</xsd:documentation>
 				</xsd:annotation>
				<xsd:simpleType>
 					<xsd:restriction base="IntegerType">
 						<xsd:totalDigits value="10"/>
 						<xsd:maxInclusive value="9999999999"/>
 					</xsd:restriction>
				</xsd:simpleType>
 			</xsd:element>

			<!-- Total Percentage Of The Value Of The Shares Owned -->
 			<xsd:element name="TotalPctValueSharesOwnedGrp" type="CountryPercentageType" minOccurs="0" maxOccurs="unbounded">
 				<xsd:annotation>
 					<xsd:documentation>
 						<Description>Total percentage of the value of the shares owned</Description>
 					</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>

 			<!-- Days shareholders owned, directly or indirectly, shares of stock -->
  			<xsd:element name="DaysShareholdersOwnedStockCnt" minOccurs="0">
  				<xsd:annotation>
  					<xsd:documentation>
  						<Description>Days shareholders owned, directly or indirectly, shares of stock</Description>
  					</xsd:documentation>
  				</xsd:annotation>
  				<xsd:simpleType>
  					<xsd:restriction base="IntegerType">
  						<xsd:totalDigits value="3"/>
  						<xsd:minInclusive value="0"/>
  						<xsd:maxInclusive value="366"/>
  					</xsd:restriction>
 				</xsd:simpleType>
 			</xsd:element>

 		</xsd:sequence>
 	</xsd:complexType>

 </xsd:schema>
